--- gdbm-1.8.3/Makefile.in.orig	Sat Dec  2 19:25:34 2017
+++ gdbm-1.8.3/Makefile.in	Sat Dec  2 19:25:58 2017
@@ -161,7 +161,7 @@
 libgdbm_compat.la: $(C_LOBJS) gdbm.h
 	rm -f libgdbm_compat.la
 	$(LIBTOOL) --mode=link $(CC) -o libgdbm_compat.la -rpath $(libdir) \
-		-version-info $(SHLIB_VER) $(C_LOBJS)
+		-version-info $(SHLIB_VER) $(C_LOBJS) -Wl,-znodefs
 
 gdbm.h:	gdbm.proto gdbmerrno.h gdbm.proto2
 	rm -f gdbm.h
